<h6 class="font-weight-bold">Measurements</h6>
<table class="table table-striped table-sm table-bordered mt-2 mb-0">
    <thead>
        <tr>
            <th class="px-1 text-secondary">Date & Time</th>
            <th class="px-1 text-secondary w-25">Measurement</th>
            <th class="px-1 text-secondary w-25">Type</th>
            <th class="px-1 text-secondary w-25">Interaction</th>
            <th class="px-4 text-secondary">Comments</th>
        </tr>
    </thead>
    <tbody>
        @php
            $measurementsInCareMonth = $patient->measurementsInCareMonth($careMonth);
            $plottableMeasurements = [];
        @endphp
        @foreach ($measurementsInCareMonth as $measurement)
            @if($measurementType && stripos($measurement->label, $measurementType) === false ) @continue @endif
            @if (!empty($measurement->label) && !in_array($measurement->label, ['SBP', 'DBP']) && !$measurement->is_cellular_zero)
                <tr>
                    <td class="px-2">
                        @if ($measurement->ts)
                            <?php $timestampInSec = floor($measurement->ts / 1000); ?>
                            {{ friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN') }}
                        @else
                            {{ friendly_date_time_short_with_tz($measurement->effective_date, true, 'EASTERN') }}
                        @endif
                        EST
                    </td>
                    <td class="px-1">
                        @if ($measurement->is_cellular_zero)
                            <i class="font-size-11 fa fa-rss"></i>
                        @elseif($measurement->label === 'BP')
                            {{ $measurement->sbp_mm_hg }}/{{ $measurement->dbp_mm_hg }} mmHg
                        @elseif($measurement->label === 'Wt. (lbs.)')
                            {{ round(floatval($measurement->numeric_value), 2) }} lbs
                        @else
                            {{ $measurement->value }}
                        @endif
                    </td>
                    <td class="px-1">{{ $measurement->label }}</td>
                    <td>
                        @if($careMonth->mcpInteractionNote)
                            $careMonth->mcpInteractionNote->method
                        @else

                        @endif
                    </td>
{{--                    <td colspan="px-2">--}}
{{--                        <?php--}}
{{--                        $stamps = ['has_been_stamped_by_mcp', 'has_been_stamped_by_non_hcp', 'has_been_stamped_by_rme', 'has_been_stamped_by_rmm'];--}}
{{--                        $isStamped = false;--}}
{{--                        foreach ($stamps as $stamp) {--}}
{{--                            if ($measurement->{$stamp}) {--}}
{{--                                $isStamped = true;--}}
{{--                            }--}}
{{--                        }--}}
{{--                        ?>--}}
{{--                        @if ($isStamped)--}}
{{--                            ✓--}}
{{--                        @endif--}}
{{--                    </td>--}}
                    <td class="px-4">
                        @foreach($careMonth->entries as $entry)
                            @if($entry->achieved_mcp_time_in_seconds > 0 && $entry->is_removed != true )
                            <p>{{$entry->achieved_mcp_time_in_seconds/60}}m: {!!  $entry->content_text  !!}</p>
                            @endif
                        @endforeach
                    </td>
                </tr>
            @endif
        @endforeach
        @if (!$patient->measurements || !count($patient->measurements) === 0)
            <tr>
                <td class="text-secondary p-0 border-0">
                    No items to show
                </td>
            </tr>
        @endif
    </tbody>
</table>
